/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.media.engine.image;

/**
 * MBean interface.
 */
public interface ImageFileMediaPublisherMBean extends org.jboss.media.engine.MediaPublisherMBean
{

   void publish() throws java.lang.Exception;

   void stop();

   void addPluginGraph(org.jboss.media.engine.MediaPluginGraph pg);

}
